// ShitarabianLogicImp.h: CShitarabianLogicImp クラスのインターフェイス
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHITARABIANLOGICIMP_H__FB4E5AEB_F35E_11D6_B6AE_0090997F65F0__INCLUDED_)
#define AFX_SHITARABIANLOGICIMP_H__FB4E5AEB_F35E_11D6_B6AE_0090997F65F0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\COMMON\ShitarabianPlugIn.h"

class CShitarabianLogicImp : public CShitarabianPlugIn  
{
public:
	CShitarabianLogicImp();
	virtual ~CShitarabianLogicImp();
	virtual const char*		GetPlugInName();
	virtual void OnSetting( CDocumentIF* pDoc );
	virtual void OnToolButton( CDocumentIF*	pDocIF , int	idxButton );
};

#endif // !defined(AFX_SHITARABIANLOGICIMP_H__FB4E5AEB_F35E_11D6_B6AE_0090997F65F0__INCLUDED_)
